# class KeyframeEffectReadOnly

#### package js.html

#### extends AnimationEffectReadOnly

Available on HTML5

The `KeyframeEffectReadOnly` interface of the Web Animations API describes sets of animatable properties and values that can be played using the `Animation.Animation()` constructor, and which are inherited by `KeyframeEffect`.

Documentation KeyframeEffectReadOnly by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/KeyframeEffectReadOnly

### Constructor

###

`new (target:EitherType<Element, CSSPseudoElement>, frames:Dynamic, ?options:EitherType<Float, Dynamic>)`

Throws:

`null` | DOMError

### Variables

###

`read onlycomposite:CompositeOperation`

The composite operation property for resolving the property value changes between this and other keyframe effects.

###

`read onlyiterationComposite:IterationCompositeOperation`

The iteration composite operation for resolving the property value changes of this keyframe effect.

###

`read onlyspacing:String`

The temporal spacing of the keyframe effect's iterations

###

`read onlytarget:EitherType<Element, CSSPseudoElement>`

The element or pseudo-element being animated by this object. This may be `null` for animations that do not target a specific element.

### Methods

###

`getFrames ():Array<Dynamic>`

Throws:

`null` | DOMError

### Inherited Variables

#### Defined by AnimationEffectReadOnly

###

`read onlytiming:AnimationEffectTimingReadOnly`

The `AnimationEffectTimingReadOnly` object associated with the animation containing all the animation's timing values.

### Inherited Methods

#### Defined by AnimationEffectReadOnly

###

`getComputedTiming ():ComputedTimingProperties`

Returns the calculated timing properties for this Animation Effect.